Summary: PHP/FI - a powerful apache module
Name: mod_php
Version: 2.0.1
Release: 3
Group: Networking/Daemons
Source0: http://php.iquest.net/files/php-2.0.1.tar.gz
Source1: php-2.0.1-std.config
Source2: php-apache-headers.tar.gz
Patch0: php-2.0.1-dynamic.patch
Patch1: php-2.0.1-rh.patch
Copyright: GPL
BuildRoot: /tmp/php-root
Requires: apache >= 1.2.6
Conflicts: apache-ssl

%description
PHP is a powerful apache module that adds scripting and database connection
capabilities to the apache server. 

%prep
%setup -n php-2.0.1 -q -a 2
%patch0 -p1 -b .dynamic
%patch1 -p1 -b .rh

%build
autoconf
# this is gross
cat $RPM_SOURCE_DIR/php-2.0.1-std.config | grep -v "^#" | \
        CFLAGS="$RPM_OPT_FLAGS" ./install
make -C src

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m 755 src/mod_php.so $RPM_BUILD_ROOT/usr/lib/apache

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- fixed invalid Group spec

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded apache headers for version 1.2.6

* Fri Feb 27 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to compile it as a shared object for the apache

%files
/usr/lib/apache/mod_php.so
%doc doc/* README examples
